apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  name: multiclusterengine-catalog
  namespace: openshift-marketplace
spec:
  displayName: MultiCluster Engine
  publisher: Red Hat
  sourceType: grpc
  image: "quay.io:443/acm-d/mce-custom-registry:2.8-latest"
  updateStrategy:
    registryPoll:
      interval: 10m
---
apiVersion: v1
kind: Namespace
metadata:
  name: multicluster-engine
---
apiVersion: operators.coreos.com/v1
kind: OperatorGroup
metadata:
  name: default
  namespace: multicluster-engine
spec:
  targetNamespaces:
    - "multicluster-engine"
---
apiVersion: operators.coreos.com/v1alpha1
kind: Subscription
metadata:
  name: mce-sub
  namespace: multicluster-engine
spec:
  channel: stable-2.8
  installPlanApproval: Automatic
  name: multicluster-engine
  source: multiclusterengine-catalog
  sourceNamespace: openshift-marketplace
